Bug 730781 - Review Request: mingw-gtksourceview3 - MinGW Windows library for viewing source files
Summary: Review Request: mingw-gtksourceview3 - MinGW Windows library for viewing sour...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ignacio Casal Quinteiro (nacho)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 18:37 UTC by Kalev Lember
Modified: 2011-08-20 15:39 UTC (History)
4 users (show)

Fixed In Version: mingw-gtksourceview3-3.1.4-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-20 15:39:27 UTC
icq: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Kalev Lember 2011-08-15 18:37:30 UTC
Spec URL: http://kalev.fedorapeople.org/mingw-gtksourceview3.spec
SRPM URL: http://kalev.fedorapeople.org/mingw-gtksourceview3-3.1.4-1.fc16.src.rpm
Description:
GtkSourceView is a text widget that extends the standard GTK+
GtkTextView widget. It improves GtkTextView by implementing
syntax highlighting and other features typical of a source code editor.

This package contains the MinGW Windows cross compiled GtkSourceView library,
version 3.

Comment 1 Ignacio Casal Quinteiro (nacho) 2011-08-20 09:19:58 UTC
Missing the typelib?

Comment 2 Kalev Lember 2011-08-20 09:45:18 UTC
I don't think we can (yet) do any introspection, for one there's still no cross-compiled gobject-introspection.

Updated the spec file as discussed on IRC.

+* Sat Aug 20 2011 Kalev Lember <kalevlember@gmail.com> - 3.1.4-2
+- Explicitly disable introspection (#730781)
+- Added comments about native buildrequires

Spec URL: http://kalev.fedorapeople.org/mingw-gtksourceview3.spec
SRPM URL:
http://kalev.fedorapeople.org/mingw-gtksourceview3-3.1.4-2.fc16.src.rpm

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3288791

Comment 3 Ignacio Casal Quinteiro (nacho) 2011-08-20 10:00:41 UTC
MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]
OK: 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
MUST: The package must be named according to the Package Naming Guidelines .
OK
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK
MUST: The package must meet the Packaging Guidelines .
OK
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK
MUST: The License field in the package spec file must match the actual license. [3]
OK
MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
OK: the COPYING
MUST: The spec file must be written in American English. [5]
OK
MUST: The spec file for the package MUST be legible. [6]
OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK
MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
OK, as checked in the previous comments.
MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
OK: just mingw needed
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK
MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
OK
MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
OK: not needed
MUST: Packages must NOT bundle copies of system libraries.[11]
OK
MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
OK
MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
OK
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
OK
MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]
OK
MUST: Each package must consistently use macros. [16]
OK
MUST: The package must contain code, or permissable content. [17]
OK
MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
OK: not included as included in the normal package
MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
OK: just COPYING
MUST: Header files must be in a -devel package. [19]
OK: special case for mingw
MUST: Static libraries must be in a -static package. [20]
OK
MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
OK: special case for mingw
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
OK
MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
OK: special case for mingw
MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
OK: it doesn't
MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
OK
MUST: All filenames in rpm packages must be valid UTF-8. [24]
OK

Comment 4 Kalev Lember 2011-08-20 10:09:27 UTC
Thanks for the review, nacho!

Comment 5 Kalev Lember 2011-08-20 10:13:01 UTC
New Package SCM Request
=======================
Package Name: mingw-gtksourceview3
Short Description: MinGW Windows library for viewing source files
Owners: kalev nacho
Branches: f16
InitialCC:

Comment 6 Gwyn Ciesla 2011-08-20 15:18:38 UTC
Git done (by process-git-requests).

Comment 7 Kalev Lember 2011-08-20 15:39:27 UTC
Package imported and built; closing the ticket.


Note You need to log in before you can comment on or make changes to this bug.